#1 - 10/15/2014 06:47 AM - Luke Murphey

Some observations.

With the door closed (sensor open, relay open), I see the following events when I query the device:

SD 0x0000

SD 0x0001

When I open the door, I observe the following events:

SA 0x1300

SA 0x0600

Querying the device results in:

SD 0x0000

SD 0x0000

When I close it, I observe:

SA 0x1100

SA 0x0600

Querying the device then results in:

SD 0x0000

SD 0x0001
#2 - 10/15/2014 04:27 PM - Luke Murphey

Closing the garage door gets the following:

SD 0x00ff

SD 0x0000

SA 0x1103

10/15/14  11:23:02.000 AM    

nack=0 ack=1 cmd_code=SD19 extended=0 cmd1=0 all_link=0 cmd2=ff direct=1 from=30.46.f6 to=2c.b8.4e broadcast=0

category = 7 cmd1 = 0 cmd2 = ff device = 30.46.f6 subcategory = 0

10/15/14  11:23:01.000 AM    

nack=0 ack=1 cmd_code=SD19 extended=0 cmd1=0 all_link=0 cmd2=0 direct=1 from=30.46.f6 to=2c.b8.4e broadcast=0

category = 7 cmd1 = 0 cmd2 = 0 device = 30.46.f6 subcategory = 0

10/15/14  11:23:01.000 AM (ALL-Link Recall)

nack=0 ack=1 cmd_code=SD11 extended=0 cmd1=11 all_link=1 cmd2=3 direct=1 from=30.46.f6 to=2c.b8.4e broadcast=0

#3 - 10/16/2014 07:02 PM - Luke Murphey

http://misterhouse.sourceforge.net/lib/Insteon/IOLinc.html

http://www.openhab.org/features-tech.html

https://github.com/hollie/misterhouse/blob/stable/lib/Insteon/IOLinc.pm

#4 - 10/17/2014 07:18 PM - Luke Murphey

I'm not sure how to determine status as the garage door changes. The messages sent when the door closes are all-link messages which I don't

believe are the same for each command (since it just recalls the device state).

I am considering adding a lookup that will allow users to define the action for themselves. Adding a form from a workflow action that will enable users

to define the action would help users customize it for themselves too.

#5 - 10/17/2014 08:21 PM - Luke Murphey

Here are the implementation options for the messages:

1. Make the custom messages override the default

2. Make the custom messages overridden by defaults

3. Use custom messages as an additional description of the message

4. Allow both

#6 - 10/18/2014 12:39 AM - Luke Murphey
Sure enough, some commands are getting missed. It starts to get lost on modem command 61.

#7 - 10/18/2014 12:39 AM - Luke Murphey

Command 61 is all_link_send. Makes sense.

#8 - 10/18/2014 06:45 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100

This is done. However, I need to determine the commands associated with the all-link commands. This work is being investigated in #863.
